Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Veromix in openSUSE 11.4

  1. #1

    Default Veromix in openSUSE 11.4

    I'm looking forward to use veromix, a mixer for pulseaudio, since kmix doesn't expose any of the features of pulseaudio. I installed it from GHNS but it didn't start. After I saw the requirements for veromix to run I'm still missing two of them: plasma-scriptengine-python and python-qt4-dbus. I couldn't find them, not even using software.opensuse.org or webpin. I can't even find the sources. Has anyone installed it succesfully on openSUSE? Can anyone point me to the source code of this two packages? Or even better has anyone got this packages in a private repo in obs?

  2. #2
    Join Date
    Mar 2008
    Location
    Bochum, Germany
    Posts
    3,587

    Default Re: Veromix in openSUSE 11.4

    * derhundchen,

    I see veromix plasmoids on software.opensuse.org, did you try one of these?

    Uwe

  3. #3

    Default Re: Veromix in openSUSE 11.4

    Oh god! I should have looked for the actual package first instead of the dependencies. Thanks man! The plasmoid works as expected.

  4. #4
    Join Date
    Sep 2008
    Location
    Earl Shilton UK
    Posts
    298

    Default Re: Veromix in openSUSE 11.4

    KDE 4.8 on 12.1

    veromix installed from the repos (KDE4.8 Extra)

    When adding to panel I get
    Code:
    Could not create a python ScriptEngine for the Veromix widget.
    I have verified & re-installed the following:
    python-kdebase4
    python-devel
    python-qt4

    Same error still.

    Code:
    # python /usr/share/kde4/apps/plasma/plasmoids/veromix-plasmoid/contents/code/VeroMix.py
    --no output--
    
    # plasmoidviewer /usr/share/kde4/apps/plasma/plasmoids/veromix-plasmoid/contents/code/VeroMix.py
    --opens a window saying:
    Could not find requested component:
    /usr/share/kde4/apps/plasma/plasmoids/veromix-plasmoid/contents/code/VeroMix.py
    Code:
    # cd /usr/share/kde4/apps/plasma/plasmoids/veromix-plasmoid/
    # plasmoidviewer
    veromix icon installed
    outputting dbus-service file
    --more bits & bobs
    -- A widget is displayed!
    Any ideas?
    Happily using Linux since 1998
    Share & Enjoy

  5. #5
    Join Date
    Sep 2008
    Location
    Earl Shilton UK
    Posts
    298

    Default Re: Veromix in openSUSE 11.4

    Bah! Fixed. Need to log out as well before it will work. D'Oh.
    Happily using Linux since 1998
    Share & Enjoy

  6. #6

    Default Re: Veromix in openSUSE 11.4

    Quote Originally Posted by weighty_foe View Post
    Bah! Fixed. Need to log out as well before it will work. D'Oh.
    Are you using 64bit or 32 bit? I cannot make it work on 64 bit. It says "Could not create a python ScriptEngine for the Veromix widget". I have all the dependencies installed. I installed veromix

    kde 4.8.1
    plasmoid-veromix : 0.16.1-1.2
    python-kde4: 4.8.1-25.3
    python-kdebase4: 4.8.1-738.1
    python-qt4: 4.9-81.7

    etc..
    ___________________________________________

    नेपालीको छोरो
    help spread the word of linux
    ___________________________________________

  7. #7

    Default Re: Veromix in openSUSE 11.4

    Quote Originally Posted by wildnux View Post
    Are you using 64bit or 32 bit? I cannot make it work on 64 bit. It says "Could not create a python ScriptEngine for the Veromix widget". I have all the dependencies installed. I installed veromix

    kde 4.8.1
    plasmoid-veromix : 0.16.1-1.2
    python-kde4: 4.8.1-25.3
    python-kdebase4: 4.8.1-738.1
    python-qt4: 4.9-81.7

    etc..
    You need the pyton qt4 devel package

    Here is an old thread that is similar
    http://forums.opensuse.org/english/g...ml#post2443287
    People who do not break things first will never learn to create anything

  8. #8

    Default Re: Veromix in openSUSE 11.4

    Quote Originally Posted by conram View Post
    You need the pyton qt4 devel package

    Here is an old thread that is similar
    http://forums.opensuse.org/english/g...ml#post2443287

    So, when I tried to install python-qt4-devel, it pulls up a lot of dependencies, is that normal? That seems a lot for just python-qt.
    http://picpaste.com/yast-6VoQysrT.png
    ___________________________________________

    नेपालीको छोरो
    help spread the word of linux
    ___________________________________________

  9. #9

    Default Re: Veromix in openSUSE 11.4

    Quote Originally Posted by wildnux View Post
    So, when I tried to install python-qt4-devel, it pulls up a lot of dependencies, is that normal? That seems a lot for just python-qt. http://picpaste.com/yast-6VoQysrT.png
    Hmmnn, probably that's the trade-off. of making widget running in python to work in openSUSE KDE4.X The dependencies are not that huge. I saw some comments elsewhere but didn't bookmarked it so I can't substantiate it but they said python in openSUSE is not that good. We can wait for the experts to comment on this.
    People who do not break things first will never learn to create anything

  10. #10

    Default Re: Veromix in openSUSE 11.4

    Quote Originally Posted by conram View Post
    Hmmnn, probably that's the trade-off. of making widget running in python to work in openSUSE KDE4.X The dependencies are not that huge. I saw some comments elsewhere but didn't bookmarked it so I can't substantiate it but they said python in openSUSE is not that good. We can wait for the experts to comment on this.
    Well i installed it anyway, and it works now.
    ___________________________________________

    नेपालीको छोरो
    help spread the word of linux
    ___________________________________________

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •